/* -*- C++ -*-
 *
 * $Id: InsertCitationReferenceDialog.h,v 1.3 1998/08/11 14:34:05 kuepper Exp $
 */

#ifndef _INSERTCITATIONREFERENCEDIALOG_H
#define _INSERTCITATIONREFERENCEDIALOG_H

#include <qdialog.h>
#include <qlined.h>

class QComboBox;
class QLabel;
class QPushButton;
class InsetCommand;

class LyXView;

class InsertCitationReferenceDialog : public QDialog
{
    Q_OBJECT

public:

    InsertCitationReferenceDialog ( LyXView* view, QWidget * parent=0, 
				    const char * name=0, WFlags f=0 );

    void setInset( InsetCommand* _inset ) { inset = _inset; }

    void updateBibItems();

    /**
     * Make item the current item or insert it if it does not yet exist.
     */
    void ensureBibItem( const char* item );

    void setRemark( const char* remark ) { remarkED->setText( remark ); }

private slots:

    void okClicked();

private:

    LyXView* _view;
    InsetCommand* inset;

    QComboBox* keyCB;
    QLineEdit* remarkED;
};

#endif
